## org.hibernate.metamodel.source.binder
Interface ComponentAttributeSource

All Superinterfaces:
  AttributeSource, AttributeSourceContainer, RelationalValueSourceContainer, SingularAttributeSource

All Known Implementing Classes:
  ComponentAttributeSourceImpl, ComponentAttributeSourceImpl

    public interface ComponentAttributeSource

extends SingularAttributeSource, AttributeSourceContainer

Method Summary
`String` `getClassName()`
`Value<Class<?>>` `getClassReference()`
`String` `getExplicitTuplizerClassName()`
`String` `getParentReferenceAttributeName()`

Methods inherited from interface org.hibernate.metamodel.source.binder.SingularAttributeSource
`getGeneration, getNature, isInsertable, isLazy, isUpdatable, isVirtualAttribute`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSource
`getName, getPropertyAccessorName, getTypeInformation, isIncludedInOptimisticLocking, isSingular, metaAttributes`

Methods inherited from interface org.hibernate.metamodel.source.binder.RelationalValueSourceContainer
`areValuesIncludedInInsertByDefault, areValuesIncludedInUpdateByDefault, areValuesNullableByDefault, relationalValueSources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getLocalBindingContext, getPath`

Method Detail

### getClassName

    String getClassName()

### getClassReference

    Value<Class<?>> getClassReference()

### getParentReferenceAttributeName

    String getParentReferenceAttributeName()

### getExplicitTuplizerClassName

    String getExplicitTuplizerClassName()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.